Zoey REST API reference ยท Interactive version: apidocs.zoey.com

Orders

Orders: Status

Get

GET https://container-url.zoeysite.com/api/rest/sales/orders/status/:id

Get All

GET https://container-url.zoeysite.com/api/rest/sales/orders/status?filter[state]=new&limit=10&page=1&order[status]=ASC

Query parameters:

NameExampleNotes
filter[state]newUsed to filter properties. (Optional)
limit10Limit the amount of results returned. (Optional)
page1Paginate the limit. (Optional)
order[status]ASCUsed to sort by property key / direction. (Optional)

Update

PUT https://container-url.zoeysite.com/api/rest/sales/orders/status/api_test

Properties to Update.

Prop Type Notes
label string Status label.
store_labels array key is store id value is store label.
settings array key is color or background_color value is rgba color.

Example request body:

{
    "label": "API Test",
    "store_labels": {
        "1": "API Test Store 1"
    },
    "settings": []
}

Create

POST https://container-url.zoeysite.com/api/rest/sales/orders/status

Prop Type Notes
status string Status code. (required)
label string Status label. (required)
is_user_defined boolean Is status defined by user.
visible_in_admin boolean Is status visibile in the admin.
state string State this status is associated with.
is_default boolean Is this the default status of the state.
store_labels array key is store id value is store label.
settings array key is color or background_color value is rgba color.

Example request body:

{
    "status": "api_test",
    "label": "API Test",
    "is_user_defined": true,
    "visible_in_admin": true,
    "store_labels": {
        "1": "API Test Store 1"
    },
    "state": "new",
    "is_default": false
}